import { SpreadsheetWorkbookDirtiedEventArgs as SpreadsheetWorkbookDirtiedEventArgs_internal } from "./SpreadsheetWorkbookDirtiedEventArgs";
/**
 * Event arguments for the
 * workbookDirtied event.
*/
export declare class IgxSpreadsheetWorkbookDirtiedEventArgs {
    protected createImplementation(): SpreadsheetWorkbookDirtiedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SpreadsheetWorkbookDirtiedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
}
